/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_allupper.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: oklymeno <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/06 21:33:12 by oklymeno          #+#    #+#             */
/*   Updated: 2017/01/30 16:09:12 by oklymeno         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_printf.h"

char		*ft_allupper(char *str)
{
	size_t	a;

	a = 0;
	while (str[a] != '\0')
	{
		if (str[a] < 123 && str[a] > 96)
			str[a] -= 32;
		a++;
	}
	return (str);
}
